$(document).ready(function () {
    $('.service-carousel').owlCarousel({
        loop: true,
        rtl: true,
        margin: 10,
        nav: true,
        responsiveClass: true,
        autoplay: true,
        autoplayTimeout: 3000,
        autoplayHoverPause: true,
        responsive: {
            0: {
                items: 1,
                nav: true
            },
            600: {
                items: 2,
                nav: false
            },
            1000: {
                items: 4,
                nav: true,
                loop: true
            }
        }
    })
    $('.product-carousel').owlCarousel({
        loop: true,
        rtl: true,
        margin: 10,
        nav: false,
        responsiveClass: true,
        autoplay: true,
        autoplayTimeout: 3000,
        autoplayHoverPause: true,
        responsive: {
            0: {
                items: 1,
                nav: false
            },
            600: {
                items: 2,
                nav: false
            },
            1000: {
                items: 3,
                nav: false,
                loop: true
            }
        }
    })
});
document.addEventListener("DOMContentLoaded", () => {
    const counters = document.querySelectorAll('.counter');
    counters.forEach(counter => {
        const updateCount = () => {
            const target = +counter.getAttribute('data-target');
            const count = +counter.innerText;
            const speed = 200; // تغيير السرعة حسب الحاجة

            const increment = target / speed;

            if (count < target) {
                counter.innerText = Math.ceil(count + increment);
                setTimeout(updateCount, 20);
            } else {
                counter.innerText = target;
            }
        };

        updateCount();
    });
});
document.addEventListener('DOMContentLoaded', function () {
    const carousel = document.querySelector('#testimonialCarousel');
    const personContainers = document.querySelectorAll('.left-person .person-container, .right-person .person-container, .left-person .person-container2, .right-person .person-container2');
    const indicators = document.querySelectorAll('.carousel-indicators button');

    // إضافة حدث التحريك فوق الصور لتغيير الشريحة
    document.querySelectorAll('.person').forEach((person) => {
        let timer;

        person.addEventListener('mouseenter', function () {
            timer = setTimeout(() => {
                const targetIndex = this.closest('.person-container, .person-container2').getAttribute('data-bs-slide-to');
                const carouselInstance = bootstrap.Carousel.getInstance(carousel);
                carouselInstance.to(targetIndex);
            }, 250);
        });

        person.addEventListener('mouseleave', function () {
            clearTimeout(timer);
        });
    });

    // إضافة حدث النقر لتفعيل الصورة والنقطة المقابلة
    personContainers.forEach((element, index) => {
        element.addEventListener('click', () => {
            const carouselInstance = bootstrap.Carousel.getInstance(carousel);
            carouselInstance.to(index);
        });
    });

    // إضافة حدث عند تغيير الشريحة لتحديث الصور والنقاط النشطة
    carousel.addEventListener('slide.bs.carousel', function (e) {
        personContainers.forEach(el => el.classList.remove('activePerson'));
        indicators.forEach(el => el.classList.remove('active'));

        const activePerson = personContainers[e.to];
        const activeIndicator = indicators[e.to];

        if (activePerson) {
            activePerson.classList.add('activePerson');
        }

        if (activeIndicator) {
            activeIndicator.classList.add('active');
        }
    });

    // إضافة حدث عند النقر على النقاط لتحديث الصور
    indicators.forEach((indicator, index) => {
        indicator.addEventListener('click', () => {
            const carouselInstance = bootstrap.Carousel.getInstance(carousel);
            carouselInstance.to(index);
        });
    });
});

$(document).ready(function () {
    $(".partener-carousel").owlCarousel({
        loop: true,
        margin: 10,
        autoplay: true,
        autoplayTimeout: 3000,
        autoplayHoverPause: true,
        nav: false,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            1000: {
                items: 5.5
            }
        }
    });
});
window.onscroll = function() {
    if (window.scrollY <= 20) {
        document.getElementById('navbar-toggler').classList.add('d-fixed');
    } else {
        document.getElementById('navbar-toggler').classList.remove('d-fixed');
    }
    if (window.scrollY <= 100) {
        document.getElementById('scrollToTop').classList.add('d-none');
    } else {
        document.getElementById('scrollToTop').classList.remove('d-none');
    }
};
function scrollToTop(){
        window.scrollTo({
          top: 0,
          behavior: "smooth" // Smooth scroll effect
        });
}